@use "sass:map";
@use "@angular/material" as mat;

@mixin color($theme) {
  $color-config: mat.m2-get-color-config($theme);
  $primary-palette: map.get($color-config, "primary");

  // material style overrides
  .mat-expansion-panel.mat-expansion-panel-footer {
    & .mat-expansion-panel-header-title {
      color: mat.m2-get-color-from-palette(
        $primary-palette,
        default-contrast
      ) !important;
    }
    & .mat-expansion-panel-header-description {
      color: mat.m2-get-color-from-palette(
        $primary-palette,
        default-contrast
      ) !important;
    }
    & .mat-expansion-panel-body {
      color: mat.m2-get-color-from-palette(
        $primary-palette,
        default-contrast
      ) !important;
    }
    & .mat-expansion-indicator::after {
      color: mat.m2-get-color-from-palette(
        $primary-palette,
        default-contrast
      ) !important;
    }
  }

  // .mat-expansion-panel-header-title,
  // .mat-expansion-panel-header-description,
  // .mat-expansion-panel {
  //   color: mat.get-color-from-palette(
  //     $primary-palette,
  //     default-contrast
  //   ) !important;
  // }

  .footer-root {
    color: mat.m2-get-color-from-palette($primary-palette, default-contrast);
    background-color: mat.m2-get-color-from-palette($primary-palette);
  }
}

@mixin theme($theme) {
  $color-config: mat.m2-get-color-config($theme);
  @if $color-config != null {
    @include color($theme);
  }
}
